<app-loading *ngIf="shareData.loading"></app-loading>
<div class="step-init">
  <nz-steps [nzCurrent]="stepper" nzSize="small">
    <nz-step nzTitle="{{ 'modelOrganization.label.createOrg' | translate }}" ></nz-step>
    <nz-step nzTitle="{{ 'modelOrganization.label.reviewApprove' | translate }}"></nz-step>
  </nz-steps>
</div>


<div class="content">
  <mat-horizontal-stepper #stepper *ngIf="!viewDetail; else elseTpl">
    <mat-step #one [stepControl]="createOrganization" label="{{shareData.type ? ('modelOrganization.correctionOrganization.label.correctionOrganization' | translate) : ('modelOrganization.correctionOrganization.label.adjustedOrganization' | translate)}}">
      <div class="container">
        <app-correction-step *ngIf="!shareData.loading" [listData]="listData" [shareData]="shareData" [jobs]="jobs"
                             [createOrganization]="createOrganization" [modified]="modified" [areas]="areas" [types]="types" [file]="file"
                             [legalBranchs]="legalBranchs" [validateObject]="validateObject" [isSubmit]="isSubmit"></app-correction-step>
      </div>
      <div class="navigte-stepper">
        <mb-button
          mbButtonType="NO_BORDER"
          mbButtonSize="VERY_LARGE"
          mbSuffixIcon="arrow-right"
          (click)="filterValue(stepper)"
          mbButtonAvailableStyle="PRIMARY"
          mbButtonText="{{'modelOrganization.correctionOrganization.button.next' | translate}}"
        >
        </mb-button>
      </div>
    </mat-step>

    <mat-step #two [stepControl]="createOrganization" label="{{'modelOrganization.correctionOrganization.label.reviewAndBrowse' | translate}}">
      <div class="container">
        <app-review-step *ngIf="!shareData.loading" [createOrganization]="createOrganization" [listData]="listData" [shareData]="shareData" [file]="file"
                         [areas]="areas" [types]="types" [jobs]="jobs" [orgVal]="orgVal">
        </app-review-step>
      </div>
      <div class="navigte-stepper">
        <mb-button
          [mbIsDisable]="loading"
          mbButtonType="BORDER"
          mbButtonSize="VERY_LARGE"
          mbPrefixIcon="arrow-left"
          (click)="backPrevious(stepper)"
          mbButtonAvailableStyle="DEFAULT"
          mbButtonText="{{'modelOrganization.correctionOrganization.button.back' | translate}}"
          matStepperNext
        >
        </mb-button>
        <mb-button
          *ngIf="objFunction.create"
          [mbIsDisable]="loading"
          mbButtonType="NO_BORDER"
          mbButtonSize="VERY_LARGE"
          mbSuffixIcon="arrow-right"
          (click)="buildRequest()"
          mbButtonAvailableStyle="PRIMARY"
          mbButtonText="{{'modelOrganization.correctionOrganization.button.browse' | translate}}"
          matStepperNext
        >
        </mb-button>
      </div>
    </mat-step>
    <ng-template matStepperIcon="edit" let-index="index">
      {{index+1}}
    </ng-template>
    <ng-template matStepperIcon="done">
      <em nz-icon nzType="check-circle" nzTheme="outline" class="icon-step"></em>
    </ng-template>
  </mat-horizontal-stepper>
  <ng-template #elseTpl>
    <div class="container">
      <app-review-step [createOrganization]="createOrganization" [listData]="listData" [shareData]="shareData" [file]="file"
                       [areas]="areas" [types]="types" [jobs]="jobs" [orgVal]="orgVal">
      </app-review-step>
    </div>
  </ng-template>
</div>
